
/* main.c */
void timeout(void);
int main(int argc, char *argv[]);
/* hifi.c */
void hifi_valid_cmd(Byte sclass, Byte sunit, Byte dclass, Byte dunit, Word cmd, Byte *data, Word len);
void hifi_dispatch(void);
/* wavep.c */
float mult_to_vol(float m);
float vol_to_mult(float m);
struct wavep_time make_time(int i);
void *wavep_create(void);
int wavep_fd(void *iw);
void wavep_setvol(void *iw, float l, float r);
void wavep_seek(void *iw, int whence);
void wavep_stop(void *iw);
void wavep_play(void *iw, char *name);
void wavep_record(void *iw, char *name);
struct wavep_status wavep_status(void *iw);
int wavep_dispatch(void *iw);
/* wave.c */
void wave_cmdst_message(Byte dunit, Word cmd, Byte *data, Word len);
void wave_status(void);
/* rotary.c */
void rotary_play(void *player, int n);
int rotary_derefence(char *filename);
void rotary_dispatch(void);
void rotary_scan(void);
void rotary_init(void);
unsigned char *ordinal(int i);
void rotary_record(void *player);
/* object.c */
void Obj_DefaultDestructor(Object *object);
void Obj_DefaultCreator(Object *object);
void Do_Obj_CreateList(List *list);
void Do_Obj_Init(Object *object);
void Do_Obj_Delete(Object *object);
void Do_Obj_Remove(List *list, Object *object);
void Do_Obj_Insert(List *list, Object *object, int action);
void Do_Obj_InsertAfter(List *list, Object *p_object, Object *object);
void Do_Obj_DeleteList(List *list);
void Obj_ListDestructor(List *list);
